import string

import factory
from factory.alchemy import SQLAlchemyModelFactory
from faker.providers import lorem, person, python

from app import db
from app.models.project import Project

factory.Faker.add_provider(python)
factory.Faker.add_provider(lorem)
factory.Faker.add_provider(person)


class ProjectFactory(SQLAlchemyModelFactory):
    class Meta:
        model = Project
        sqlalchemy_session = db.session
        sqlalchemy_session_persistence = "commit"

    proposer = factory.Faker(
        "pystr_format", string_format="????##", letters=string.ascii_lowercase
    )
    title = factory.Faker("text", max_nb_chars=15)
    description = factory.Faker("paragraph", nb_sentences=6)
