from ..database import db


class Person(db.Model):
    username = db.Column(db.String, primary_key=True)
    firstname = db.Column(db.String, nullable=False)
    lastname = db.Column(db.String, nullable=False)
    categories = db.Column(db.ARRAY(db.String), nullable=False)

    @property
    def full_name(self) -> str:
        return (
            f"{self.firstname} {self.lastname}"
            if self.firstname and self.lastname
            else ""
        )
