"""Change duration to be specified in weeks.

Revision ID: 4bcd9d51d569
Revises: 6b9a5c131e23
Create Date: 2023-02-10 12:36:30.753392

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "4bcd9d51d569"
down_revision = "6b9a5c131e23"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "project", sa.Column("duration_in_weeks", sa.Integer(), nullable=True)
    )
    op.drop_column("project", "duration")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "project",
        sa.Column(
            "duration", postgresql.INTERVAL(), autoincrement=False, nullable=True
        ),
    )
    op.drop_column("project", "duration_in_weeks")
    # ### end Alembic commands ###
