"""Add shortlisting table

Revision ID: d009c2b07eed
Revises: 6dea3a5014b0
Create Date: 2022-08-23 15:08:42.796055

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
from sqlalchemy import Sequence
from sqlalchemy.sql.ddl import CreateSequence, DropSequence

revision = "d009c2b07eed"
down_revision = "6dea3a5014b0"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(CreateSequence(Sequence("shortlisting_ranking_seq")))
    op.create_table(
        "shortlisting",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("project_id", sa.Integer(), nullable=False),
        sa.Column("student", sa.String(), nullable=True),
        sa.Column(
            "ranking",
            sa.Integer(),
            server_default=sa.text("nextval('shortlisting_ranking_seq')"),
            nullable=False,
        ),
        sa.ForeignKeyConstraint(
            ["project_id"],
            ["project.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("shortlisting")
    op.execute(DropSequence(Sequence("shortlisting_ranking_seq")))
    # ### end Alembic commands ###
