"""Add foreign key for category in project table.

Revision ID: e794d182f9d3
Revises: c5b560bb3d58
Create Date: 2023-02-03 18:02:46.930212

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "e794d182f9d3"
down_revision = "c5b560bb3d58"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "category",
        sa.Column("code", sa.String(), nullable=False),
        sa.Column("title", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("code"),
    )
    op.create_foreign_key(None, "project", "category", ["category"], ["code"])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "project", type_="foreignkey")
    op.drop_table("category")
    # ### end Alembic commands ###
